@import url('https://fonts.googleapis.com/css2?family=Koulen&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Hanuman&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Koulen', serif;
 
  }
  body {
    width: 100%;
    color: #000000;
  }
  
  .nav_bar {
    width: 100%;
    height: 150px;
    background-color: #020235;
    display: flex;
    justify-content: center;
    /* position: fixed; */

  }
  .nav_bar .nav_bar_container {
    width: 90%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    position: relative;
    align-items: center;
  }
  .nav_bar .nav_bar_container .icons a {
    float: left;
    color: white;
    text-align: center;
    text-decoration: none;
    font-size: 20px;
    display: inline-block;
    background-color: rgba(255, 255, 255, 0.15);
    border-radius: 50%;
    padding: 3px;
    width: 40px;
    height: 40px;
    margin-left: 10px;
  }
  .nav_bar .nav_bar_container .icons .facebook:hover {
    background-color: #3A5795;
  }
  .nav_bar .nav_bar_container .icons .twitter:hover {
    background-color: #1DA1F2;
  }
  .nav_bar .nav_bar_container .icons .instagram:hover {
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d6249f 60%, #285AEB 90%);
  }
  .nav_bar .nav_bar_container .icons .youtube:hover {
    background-color: #b21717;
  }
  .nav_bar .nav_bar_container .logo {
    float: none;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  .nav_bar .nav_bar_container .logo :hover {
    cursor: pointer;
  }
  .nav_bar .nav_bar_container ul.menu{

    display: flex;
    list-style: none;
    padding: 9px 20px;
    text-decoration: none;
  }
  .wrapper{
    height: 100%;
    width: 300px;
    position: relative;
    z-index: 10;
    /* position: fixed; */
  }
  .wrapper .menu-btn{
        /* position: absolute; */
        left: 20px;
        top: 10px;
        background: #fff;
        color: #000000;
        height: 45px;
        width: 45px;
        z-index: 9999;
        border: 1px solid #fff;
        border-radius: 5px;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: all 0.3s ease;
  }
  #btn:checked ~ .menu-btn{
    left: 247px;
  }
  .wrapper .menu-btn i{
    position: absolute;
    transform: none;
    font-size: 23px;
    transition: all 0.3s ease;
  
  }
  .wrapper .menu-btn i ul li{
    text-decoration: none;
    display: flex;
  }
  .wrapper .menu-btn i.fa-times{
    opacity: 0;
  }
  #btn:checked ~ .menu-btn i.fa-times{
    opacity: 1;
    transform: rotate(-180deg);
  }
  
  #btn:checked ~ .menu-btn i.fa-bars{
    opacity: 0;
    transform: rotate(180deg);
  }
  #sidebar{
    
    position: fixed;
    background: #020235;
    height: 100%;
    width: 100%;
    overflow: hidden;
    left: -100%;
    transition: all 0.3s ease;
  }
  #btn:checked ~ #sidebar{
    left: 0;
  }
  #sidebar .title{
    line-height: 65px;
    text-align: center;
    background: #10103a;
    font-size: 25px;
    font-weight: 600;
    color: #f2f2f2;
    border-bottom: 1px solid #222;
  }
  #sidebar .list-items{
    position: relative;
    background: #10103a;
    width: 100%;
    height: 100%;
    list-style: none;
  }
  #sidebar .list-items li{
    padding-left: 40px;
    line-height: 50px;
    border-top: 1px solid rgba(255,255,255,0.1);
    border-bottom: 1px solid #333;
    transition: all 0.3s ease;
    color: #e4dcdc;;
  }
  #sidebar .list-items li:hover{
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
    box-shadow: 0 0px 10px 3px #222;
    color: #a52020;
  }
  #sidebar .list-items li:first-child{
    border-top: none;
  }
  #sidebar .list-items li a{
    color: #f2f2f2;
    text-decoration: none;
    font-size: 18px;
    font-weight: 500;
    height: 100%;
    width: 100%;
    display: block;
  }
  #sidebar .list-items li a i{
    margin-right: 20px;
  }
  #sidebar .list-items .slide-icons{
    width: 100%;
    height: 40px;
    text-align: center;
    position: absolute;
    bottom: 100px;
    line-height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  #sidebar .list-items .slide-icons a{
    height: 100%;
    width: 40px;
    display: block;
    margin: 0 5px;
    font-size: 18px;
    color: #f2f2f2;
    background: #4a4a4a;
    border-radius: 50%;
    border: 1px solid #383838;
    transition: all 0.3s ease;
  }
  #sidebar .list-items .slide-icons a:hover{
    background: #fdfcfc;
  }
  #sidebar .list-items .slide-icons .fb a:hover{
    background-color: #3A5795;
  }
  #sidebar .list-items .slide-icons .tw a:hover{
    background-color: #1DA1F2;
  }
  #sidebar .list-items .slide-icons .ig a:hover{
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d6249f 60%, #285AEB 90%);
  }
  #sidebar .list-items .slide-icons .tik a:hover{
    background-color: #6e6e6e;
  }
  #sidebar .list-items .slide-icons .yt a:hover{
    background-color: #b21717;
  }
  .list-items .slide-icons a:first-child{
    margin-left: 0px;
  }
  .nav {
    display: flex;
    width: 100%;
    gap: 10px;
    justify-content: center;
    margin-top: 10px;
  }
  .nav li {
    list-style-type: none;
  }
  .nav li a{
    text-decoration: none;
  }
  .container {
    display: flex;
  }
  
  .nav li a:hover::after{
      width: 100%;
      transition: width 0.3s linear;
      color: coral;
    }
    body{
        margin: 0;
        padding: 0;
        background-color: white;
    }
    .navi{
        display: flex;
    }
    .bar {
        
        background-color: white;
        overflow: hidden;
    } 
    
    .bar a {
        font-weight: bold;
        float: left;
        color: black;
        /* text-align: center; */
        text-decoration: none;
        margin: auto;
    }
    
    .bar a::after{
        content: '';
        width: 0;
        height: 3px;
        background-color: blue;
        margin: auto;
        display: block;
    } 
    
    .bar ul.menu{
        display: flex;
    }
    .bar ul.menu li{
        list-style: none;
        padding: 9px 20px;
        justify-self: right;
        margin-left: auto;
    }

   .inter-news{
    display: flex;
    
   }
   .inter-news h6{
    border: solid 1px red;
    color: white;
    font-size: 18px;
    background-color: #a21d2c;
    padding: 5px;
    margin: 10px;
   }
   .inter-titile{
    display: flex;
    font-size: 18px;
    justify-content: center;
   }
   .name-user{
    display: flex;
    flex-direction: column;
   }
   .name-user p{
     color: #555555;
   }
   .body-news{
        padding: 10%;
        display: flex;
        flex-direction: row;
   }
   .body-right h6{
    border: solid 1px #a21d2c;
    color: white;
    font-size: 18px;
    background-color: #a21d2c;
    padding: 5px;
    margin: 10px;
    font-family: 'Roboto';
   }
   .r-head button{
    border: none;
    background-color:white;
   }
   .r-head{
    display: flex;
    flex-direction: row;
    align-items: center; 
    margin-left: 5%;
   }
   .r-head h5{
    font-size: 18px;
    color: #555555;
    font-family: 'Roboto';
   }
   .r-news{
     display: flex;
     flex-direction: row;
     padding: 10px;
   }
   .body-left{
    font-size: 16px;
    width: 50%;
   }
 
 .resorce {
    display: flex;
    flex-direction: column;
    color: #4a4a4a;
    padding: 10px;
 }
 .slide-body{
    display: flex;
    flex-direction: row;
 }
 .slide-body .s1{
    display: flex;
    flex-direction: column;
    width: 50%;
 }
 .body-right{
  display: flex;
  flex-direction: column;
 }
 .slide-body .s2{
    display: flex;
    flex-direction: column;
    width: 50%;
 }
.top{
    color: #a21d2c;
    font-size: 12.2px;
    font-family: 'Roboto';
    margin-bottom: 5%;
 }
 .bot{
    font-family: 19.2px;
    color: #222222;
 }
 .bot i{
    font-size: 24px;
 }
 .bot:hover{
    color: #6e6e6e;
 }
 #myBtn {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    font-size: 18px;
    border: none;
    outline: none;
    background-color: #0000004D;
    color: white;
    cursor: pointer;
    padding: 15px;
    border-radius: 4px;
  }
  
  #myBtn:hover {
    background-color: rgb(164, 47, 47);
  }

  .s-header h6{
    color: #ffff;
    margin-bottom: 50px;
    background-color: #a21d2c;
    font-size: 18px;
    width: 150px;
    border-color: transparent transparent transparent transparent;
    border-style:solid;
    border-width:2px;
    transform: skewX(-15deg);
    margin-left: 120px;
    right: 0;
    top: 0;
    left: 0;
    bottom: 0;
    margin: auto;
    display: block;
      unicode-bidi: isolate;
      margin-block-start: 0.5em;
      margin-block-end: 0.5em;
      margin-inline-start: auto;
      margin-inline-end: auto;
      overflow: hidden;
      border-style: inset;
      border-width: 1px;
      text-align: center;
      /* margin-top: 10%; */
}
/* You May Like  */

.like-top{
  display: flex;
  flex-direction: row;
  margin-top: 10px;
  justify-content: center;
  margin-left: 10%;
}
.like-top h4{
  font-size: 14px;
}
.like-bot{
  display: flex;
  flex-direction: column;
  width: 30%;
  margin: 0;
}

button {
  margin: 20px;
}
.custom-btn {
  width: 130px;
  height: 40px;
  color: black;
  border-radius: 5px;
  padding: 10px 25px;
  font-family: 'Lato', sans-serif;
  font-weight: 500;
  background: transparent;
  cursor: pointer;
  transition: all 0.3s ease;
  position: relative;
  display: inline-block;
   box-shadow:inset 2px 2px 2px 0px rgba(255,255,255,.5),
   7px 7px 20px 0px rgba(0,0,0,.1),
   4px 4px 5px 0px rgba(0,0,0,.1);
  outline: none;
  font-size: 17px;
  font-family: 'san-serif';
  margin-left: 15%;
}

/* 1 */
.btn-1 {
  background: white;
  border: 1px solid black ;
  width: 40%;
}
.btn-1:hover {
   background: black;
   color: white;
}

/* Bottom Navigation Bar */

.btn-nav-bar{
  width: 100%;
  height: 250px;
  background-color: #020235;
  display: flex;
  justify-content: center;
}



.btn-nav-bar .btn-nav-container .icons a{
  float: left;
  color: white;
  text-align: center;
  text-decoration: none;
  font-size: 20px;
  display: inline-block;
  background-color: rgba(255, 255, 255, 0.15);
  border-radius: 50%;
  padding: 3px;
  width: 40px;
  height: 40px;
  margin-left: 15px;
  margin-top: 5%;
  
}
.btn-nav-bar .btn-nav-container .icons i{
  margin-top: 25%;
}
.btn-nav-bar .btn-nav-container .icons .facebook:hover{
  background-color: #3A5795;
}
.btn-nav-bar .btn-nav-container .icons .twitter:hover{
  background-color: #1DA1F2;
}
.btn-nav-bar .btn-nav-container .icons .instagram:hover{
  background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d6249f 60%, #285AEB 90%);
}
.btn-nav-bar .btn-nav-container .icons .tiktok:hover{
  background-color: #010101;
}
.btn-nav-bar .btn-nav-container .icons .youtube:hover{
  background-color: #b21717;
}

.copy-right{
  width: 100%;
  height: 80px;
  background-color: #010101;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #717171;
  font-size: 20px;
  font-family: 'Khmer OS';
}
.name-user{
 margin-left: 20px;
}

h4{
  font-family: 'Hanuman', serif; 
}

